1. Home
  2. WHMCS + PayPal Billing Gateway
  3. Troubleshooting
  4. PHP ionCube Error: The file ….hooks.php is corrupted.
  1. Home
  2. WHMCS + QuickBooks Sync Module
  3. Troubleshooting
  4. PHP ionCube Error: The file ….hooks.php is corrupted.

PHP ionCube Error: The file ….hooks.php is corrupted.

As of April 1st, our modules are fully compatible with WHMCS V7.5, and PHP V5.6, V7.0 & V7.1.

Due to the range of compatibility that we now support, we encode our modules with the latest version of ionCube encoder – which requires that ionCube Loader V10.x or later be active on your server. 

This requirement on our end is in part because the recommended ionCube Loader version for any WHMCS version is now v10.1 or later: https://docs.whmcs.com/System_Requirements

Your ionCube Loader version can be checked by visiting Utilities > System > PHP Info in your WHMCS Admin.

 

If you have an earlier version of ionCube installed on your server, you will receive the error below. If this occurs, we recommend you revert to an earlier version of our module and/or ensure you’re running the latest version of ionCube Loader.

The file path/to/module/hooks.php is corrupted.

Updated on April 7, 2018

Was this article helpful?